# 72. クエリ：グリッド化データをGeoJSONまたはGeoTIFFで取得

"FieldSatelliteImage"、"TopographyMap"、"SoilDataset"、"YieldDataset"、"AsAppliedDataset"、"VectorAnalysisMap" のようなデータセットから格子化されたデータを取得するためのクエリとして `GEOJSON` ポイント付きまたは `GEOTIFF`.&#x20;

{% hint style="danger" %}
推奨：次を使用して単一のデータセットのみを取得すること `sourceDataUrl` リクエストごとに。&#x20;
{% endhint %}

`GEOTIFF` と `GEOJSON` として利用可能です `フォーマット`.

{% hint style="danger" %}
`sourceDataUrl` リンクは以下の期間のみアクセス可能です **60 秒。**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    名前
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      名前
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(形式: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/72-kueriguriddodtawogeojsonmatahageotiffde.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
